using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {

      if (Session.IsNewSession)
      {
         lblStatus.Text = "To jest <b>nowa</b> sesja.";
         Session["counter"] = 0;
         Session["customer"] = new Customer("Kowalski", "Jan");
      }
      else
      {
         lblStatus.Text = string.Format(
           "To jest <b>stara</b> sesja. Zapamiętany klient to {0}",
           ((Customer)Session["customer"]).LastName + ", " +
           ((Customer)Session["customer"]).FirstName);
      }

      UpdateCounterDisplay();
   }

   protected void UpdateCounterDisplay()
   {
      lblCounter.Text = string.Format(
        "Wartość licznika wynosi <b>{0}</b>",
        Session["counter"]);
   }
   protected void btnSubmit_Click(object sender, EventArgs e)
   {
      Session["counter"] = (int)Session["counter"] + 1;
      UpdateCounterDisplay();
   }
}
